

//+------------------------------------------------------------------+
//| Common External variables                                        |
//+------------------------------------------------------------------+
extern double Lots = 1.00;
extern double StopLoss = 0.00;
extern double TakeProfit = 0.00;
extern double TrailingStop = 0.00;

//+------------------------------------------------------------------+
//| External variables                                               |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| Special Convertion Functions                                     |
//+------------------------------------------------------------------+
int ticket;
//+------------------------------------------------------------------+
//| End                                                              |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| Initialization                                                   |
//+------------------------------------------------------------------+

int init()
{
   return(0);
}
int start()
{
if( Hour() == 12 && Minute() == 00)  //Simplifyed condition for long position
{  
   if (OrdersTotal()==1) 
   {  
      OrderSelect(1, SELECT_BY_POS , MODE_TRADES); 
      if(OrderType()== OP_SELL) //If alredy open position is Sell then open Buy position 
      {  
         ticket=OrderSend(Symbol(),OP_BUY,0.1,Ask,0,Ask-32*Point,Ask+85*Point,"",16384,0,Green); 
         if(ticket<0) 
         { 
            Print("OrderSend failed with error #",GetLastError()); 
            return(0); 
         }  
      } 
   }  
   if (OrdersTotal()==0) // If there is no open position then open Buy position. 
   {  
      ticket=OrderSend(Symbol(),OP_BUY,0.1,Ask,0,Ask-32*Point,Ask+85*Point,"",16384,0,Green);  
           if(ticket<0) 
      { 
         Print("OrderSend failed with error #",GetLastError()); 
         return(0); 
      } 
   }  
}  

else if(  Hour() == 08 && Minute() == 00) // Simplified condition for Short position
  {  
   if (OrdersTotal()==1)  
   {  
      OrderSelect(1, SELECT_BY_POS , MODE_TRADES); 
      if(OrderType()== OP_BUY) // If open position is Buy then open Sell position  
      { 
         ticket=OrderSend(Symbol(),OP_SELL,0.1,Bid,0,Bid+32 *Point,Bid-85*Point,"",16384,0,Green); 
          
              if(ticket<0) 
         { 
            Print("OrderSend failed with error #",GetLastError()); 
            return(0); 
         }  
      } 
   } 
   if (OrdersTotal()==0) // If there is no open positions then open Sell position 
   { 
      ticket=OrderSend(Symbol(),OP_SELL,0.1,Bid,0,Bid+32 *Point,Bid-85*Point,"",16384,0,Green); 
     if(ticket<0) 
      { 
         Print("OrderSend failed with error #",GetLastError()); 
         return(0); 
      }  
   } 
}  
 
return(0);
}

